Package org.linphone.core

# Interface CallListener

All Known Implementing Classes:
  `CallListenerStub`

public interface CallListener
That class holds all the callbacks which are called by `Call` objects.
Use
invalid reference

    Factory#createCallCbs

to create an instance. Then, call the
callback setters on the events you need to monitor and pass the object to a
`Call` instance through `Call.addListener(org.linphone.core.CallListener)`.

## Method Summary

Modifier and Type
Method
Description
`void`
`onAckProcessing(Call call, Headers ack, boolean isReceived)`
Gets the ACK processing callback.
`void`
`onAudioDeviceChanged(Call call, AudioDevice audioDevice)`
Gets the audio device changed callback.
`void`
`onAuthenticationTokenVerified(Call call, boolean verified)`
Gets the authentication token verified callback.
`void`
`onBaudotDetected(Call call, BaudotStandard standard)`
Gets the Baudot detected callback.
`void`
`onCameraNotWorking(Call call, String cameraName)`
Gets the camera not working callback.
`void`
`onDtmfReceived(Call call, int dtmf)`
Gets the dtmf received callback.
`void`
`onEncryptionChanged(Call call, boolean on, String authenticationToken)`
Deprecated.
`void`
`onGoclearAckSent(Call call)`
Gets the GoClear Ack sent callback.
`void`
`onHeadsetAnswerCallRequested(Call call)`
Gets the headset answer call requested callback.
`void`
`onHeadsetEndCallRequested(Call call)`
Gets the headset end call requested callback.
`void`
`onHeadsetHoldCallRequested(Call call)`
Gets the headset hold call requested callback.
`void`
`onHeadsetMicrophoneMuteToggled(Call call, boolean mute)`
Gets the headset microphone mute toggled callback.
`void`
`onHeadsetRejectCallRequested(Call call)`
Gets the headset reject call requested callback.
`void`
`onHeadsetResumeCallRequested(Call call)`
Gets the headset resume call requested callback.
`void`
`onInfoMessageReceived(Call call, InfoMessage message)`
Gets the info message received callback.
`void`
`onMediaEncryptionStatusChanged(Call call, MediaEncryptionStatus status)`
Get the media encryption status changed callback.
`void`
`onNextVideoFrameDecoded(Call call)`
Gets the next video frame decoded callback.
`void`
`onReceiveMasterKeyChanged(Call call, String receiveMasterKey)`
Gets the receive master key changed callback.
`void`
`onReferRequested(Call call, Address referTo)`
Gets the refer requested callback.
`void`
`onRemoteRecording(Call call, boolean recording)`
Gets the call remote recording callback.
`void`
`onSecurityLevelDowngraded(Call call)`
Gets the security level downgraded callback.
`void`
`onSendMasterKeyChanged(Call call, String sendMasterKey)`
Gets the send master key changed callback.
`void`
`onSnapshotTaken(Call call, String filePath)`
Gets the snapshot taken callback.
`void`
`onStateChanged(Call call, Call.State state, String message)`
Gets the state changed callback.
`void`
`onStatsUpdated(Call call, CallStats stats)`
Gets the stats updated callback.
`void`
`onTmmbrReceived(Call call, int streamIndex, int tmmbr)`
Gets the TMMBR received callback.
`void`
`onTransferStateChanged(Call call, Call.State state)`
Gets the transfer state changed callback.
`void`
`onVideoDisplayErrorOccurred(Call call, int errorCode)`
Gets the callback that will be used to notify that there are errors from the
video rendering.

## Method Details

### onDtmfReceived

void onDtmfReceived(Call call, int dtmf)
Gets the dtmf received callback.

### onGoclearAckSent

void onGoclearAckSent(Call call)
Gets the GoClear Ack sent callback.

### onSecurityLevelDowngraded

void onSecurityLevelDowngraded(Call call)
Gets the security level downgraded callback.

### onEncryptionChanged

@Deprecated void onEncryptionChanged(Call call, boolean on, String authenticationToken)
Deprecated.
Gets the encryption changed callback.

### onMediaEncryptionStatusChanged

void onMediaEncryptionStatusChanged(Call call, MediaEncryptionStatus status)
Get the media encryption status changed callback.

### onAuthenticationTokenVerified

void onAuthenticationTokenVerified(Call call, boolean verified)
Gets the authentication token verified callback.

### onSendMasterKeyChanged

void onSendMasterKeyChanged(Call call, String sendMasterKey)
Gets the send master key changed callback.

### onReceiveMasterKeyChanged

void onReceiveMasterKeyChanged(Call call, String receiveMasterKey)
Gets the receive master key changed callback.

### onInfoMessageReceived

void onInfoMessageReceived(Call call, InfoMessage message)
Gets the info message received callback.

### onStateChanged

void onStateChanged(Call call, Call.State state, String message)
Gets the state changed callback.

### onStatsUpdated

void onStatsUpdated(Call call, CallStats stats)
Gets the stats updated callback.

### onTransferStateChanged

void onTransferStateChanged(Call call, Call.State state)
Gets the transfer state changed callback.

### onReferRequested

void onReferRequested(Call call, Address referTo)
Gets the refer requested callback.

### onAckProcessing

void onAckProcessing(Call call, Headers ack, boolean isReceived)
Gets the ACK processing callback.

### onTmmbrReceived

void onTmmbrReceived(Call call, int streamIndex, int tmmbr)
Gets the TMMBR received callback.

### onSnapshotTaken

void onSnapshotTaken(Call call, String filePath)
Gets the snapshot taken callback.

### onNextVideoFrameDecoded

void onNextVideoFrameDecoded(Call call)
Gets the next video frame decoded callback.

### onCameraNotWorking

void onCameraNotWorking(Call call, String cameraName)
Gets the camera not working callback.

### onVideoDisplayErrorOccurred

void onVideoDisplayErrorOccurred(Call call, int errorCode)
Gets the callback that will be used to notify that there are errors from the
video rendering.
Check LinphoneCallCbsVideoDisplayErrorOccurredCb for more details.

### onAudioDeviceChanged

void onAudioDeviceChanged(Call call, AudioDevice audioDevice)
Gets the audio device changed callback.

### onRemoteRecording

void onRemoteRecording(Call call, boolean recording)
Gets the call remote recording callback.

### onBaudotDetected

void onBaudotDetected(Call call, BaudotStandard standard)
Gets the Baudot detected callback.

### onHeadsetAnswerCallRequested

void onHeadsetAnswerCallRequested(Call call)
Gets the headset answer call requested callback.

### onHeadsetEndCallRequested

void onHeadsetEndCallRequested(Call call)
Gets the headset end call requested callback.

### onHeadsetHoldCallRequested

void onHeadsetHoldCallRequested(Call call)
Gets the headset hold call requested callback.

### onHeadsetMicrophoneMuteToggled

void onHeadsetMicrophoneMuteToggled(Call call, boolean mute)
Gets the headset microphone mute toggled callback.

### onHeadsetRejectCallRequested

void onHeadsetRejectCallRequested(Call call)
Gets the headset reject call requested callback.

### onHeadsetResumeCallRequested

void onHeadsetResumeCallRequested(Call call)
Gets the headset resume call requested callback.